/*
 * Licensed to the Apache Software Foundation (ASF) under one
 * or more contributor license agreements.  See the NOTICE file
 * distributed with this work for additional information
 * regarding copyright ownership.  The ASF licenses this file
 * to you under the Apache License, Version 2.0 (the
 * "License"); you may not use this file except in compliance
 * with the License.  You may obtain a copy of the License at
 * 
 *   http://www.apache.org/licenses/LICENSE-2.0
 * 
 * Unless required by applicable law or agreed to in writing,
 * software distributed under the License is distributed on an
 * "AS IS" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY
 * KIND, either express or implied.  See the License for the
 * specific language governing permissions and limitations
 * under the License.    
 */

package org.apache.tuscany.sca.assembly.impl;

import java.util.ArrayList;
import java.util.List;

import org.apache.tuscany.sca.assembly.Property;
import org.apache.tuscany.sca.policy.PolicySet;

/**
 * Represents a property.
 * 
 * @version $Rev: 537391 $ $Date: 2007-05-12 12:42:45 +0100 (Sat, 12 May 2007) $
 */
public class PropertyImpl extends AbstractPropertyImpl implements Property, Cloneable {
    private List<PolicySet> policySets = new ArrayList<PolicySet>();

    /**
     * Constructs a new property.
     */
    protected PropertyImpl() {
    }
    
    @Override
    public Object clone() throws CloneNotSupportedException {
        return super.clone();
    }

    public List<PolicySet> getPolicySets() {
        return policySets;
    }

}
