/*
 * Licensed to the Apache Software Foundation (ASF) under one
 * or more contributor license agreements.  See the NOTICE file
 * distributed with this work for additional information
 * regarding copyright ownership.  The ASF licenses this file
 * to you under the Apache License, Version 2.0 (the
 * "License"); you may not use this file except in compliance
 * with the License.  You may obtain a copy of the License at
 * 
 *   http://www.apache.org/licenses/LICENSE-2.0
 * 
 * Unless required by applicable law or agreed to in writing,
 * software distributed under the License is distributed on an
 * "AS IS" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY
 * KIND, either express or implied.  See the License for the
 * specific language governing permissions and limitations
 * under the License.    
 */

package org.apache.tuscany.sca.databinding.sdo;

import commonj.sdo.helper.HelperContext;

/**
 * A registry for SDO HelperContext
 * 
 * @version $Rev: 537464 $ $Date: 2007-05-12 16:37:14 +0100 (Sat, 12 May 2007) $
 */
public interface HelperContextRegistry {
    /**
     * Register a HelperContext with the id
     * 
     * @param id
     * @param context
     */
    void register(Object id, HelperContext context) throws DuplicateHelperContextException;

    /**
     * Unregister the HelperContext
     * 
     * @param id
     */
    void unregister(Object id);

    /**
     * Get the HelperContext associated with the id
     * 
     * @param id The URI of the HelperContext
     * @return
     */
    HelperContext getHelperContext(Object id);
}
