/*
 * Licensed to the Apache Software Foundation (ASF) under one
 * or more contributor license agreements.  See the NOTICE file
 * distributed with this work for additional information
 * regarding copyright ownership.  The ASF licenses this file
 * to you under the Apache License, Version 2.0 (the
 * "License"); you may not use this file except in compliance
 * with the License.  You may obtain a copy of the License at
 * 
 *   http://www.apache.org/licenses/LICENSE-2.0
 * 
 * Unless required by applicable law or agreed to in writing,
 * software distributed under the License is distributed on an
 * "AS IS" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY
 * KIND, either express or implied.  See the License for the
 * specific language governing permissions and limitations
 * under the License.    
 */

package org.apache.tuscany.sca.http;

import java.util.ArrayList;
import java.util.List;

/**
 * Default implementation of a servlet host extension point.
 * 
 * @version $Rev: 537376 $ $Date: 2007-05-12 11:16:49 +0100 (Sat, 12 May 2007) $
 */
public class DefaultServletHostExtensionPoint implements ServletHostExtensionPoint {

    private List<ServletHost> servletHosts = new ArrayList<ServletHost>();

    public void addServletHost(ServletHost servletHost) {
        servletHosts.add(servletHost);
    }

    public void removeServletHost(ServletHost servletHost) {
        servletHosts.remove(servletHost);
    }

    public List<ServletHost> getServletHosts() {
        return servletHosts;
    }
}
