/*
 * Licensed to the Apache Software Foundation (ASF) under one
 * or more contributor license agreements.  See the NOTICE file
 * distributed with this work for additional information
 * regarding copyright ownership.  The ASF licenses this file
 * to you under the Apache License, Version 2.0 (the
 * "License"); you may not use this file except in compliance
 * with the License.  You may obtain a copy of the License at
 *
 *   http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing,
 * software distributed under the License is distributed on an
 * "AS IS" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY
 * KIND, either express or implied.  See the License for the
 * specific language governing permissions and limitations
 * under the License.
 */
package org.apache.tuscany.sca.implementation.java.injection;

import org.apache.tuscany.sca.core.component.RequestContextImpl;
import org.apache.tuscany.sca.factory.ObjectCreationException;
import org.apache.tuscany.sca.factory.ObjectFactory;
import org.osoa.sca.RequestContext;

/**
 * Creates instances of {@link org.apache.tuscany.sca.core.component.RequestContextImpl} for injection on
 * component implementation instances
 *
 * @version $Rev: 537493 $ $Date: 2007-05-12 18:33:18 +0100 (Sat, 12 May 2007) $
 */
public class RequestContextObjectFactory implements ObjectFactory<RequestContext> {

    public RequestContextObjectFactory() {
    }

    public RequestContext getInstance() throws ObjectCreationException {
        return new RequestContextImpl();
    }
}
